# Used by the agenix cli and our module to generate all of the secret entries into the agenix module (see ./default.nix)
let
  # host-key.pub
  amy = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDTbclOyOwIAPgVE/v5lIuf0P+Tq/Qkw3+GFa4YuRaCC amy@nixon";
  users = [ amy ];

  # /etc/ssh/ssh_host_ed25519_key.pub on each host
  nixos = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILMAy1iKOrL2yBCWljLnuwo29G5plDblI41jJ4Woy1el root@nixos";
  nix01 = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBQfwok81BymeM9zW8D/LPZxRX6HGLkeTi1hS7GjPoZF root@nix01";
  nix02 = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGFJBDr16y8BAhtLfbc2WYJLwtgrxEyrpJx0zJpHPn/Z root@nix02";
  systems = [ nixos nix01 nix02 ];
in
{
  "atticd.env.age".publicKeys = users ++ systems;
  "blog.dbpass.age".publicKeys = users ++ systems;
  "pgadmin.password.age".publicKeys = users ++ systems;
  "sharkey.dbpass.age".publicKeys = users ++ systems;
  "sharkey.redispass.age".publicKeys = users ++ systems;
  "authentik.env.age".publicKeys = users ++ systems;
  "forgejo.dbpass.age".publicKeys = users ++ systems;
}
